org.apache.solr.search.function

## Class CollapseScoreFunction.CollapseScoreFunctionValues

- java.lang.Object
- - org.apache.lucene.queries.function.FunctionValues
  - - org.apache.solr.search.function.CollapseScoreFunction.CollapseScoreFunctionValues

- Enclosing class:
    CollapseScoreFunction

      public class CollapseScoreFunction.CollapseScoreFunctionValues
      extends FunctionValues

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.lucene.queries.function.FunctionValues

      `FunctionValues.ValueFiller`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CollapseScoreFunctionValues(Map context)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `doubleVal(int doc)`
    `float` | `floatVal(int doc)`
    `int` | `intVal(int doc)`
    `String` | `toString(int doc)`

    - ### Methods inherited from class org.apache.lucene.queries.function.FunctionValues

      `boolVal, bytesVal, byteVal, byteVal, doubleVal, exists, explain, floatVal, getRangeScorer, getScorer, getValueFiller, intVal, longVal, longVal, numOrd, objectVal, ordVal, shortVal, shortVal, strVal, strVal`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CollapseScoreFunctionValues

          public CollapseScoreFunctionValues(Map context)

  - ### Method Detail

    - #### intVal

          public int intVal(int doc)

      Overrides:
        `intVal` in class `FunctionValues`

    - #### toString

          public String toString(int doc)

      Specified by:
        `toString` in class `FunctionValues`

    - #### floatVal

          public float floatVal(int doc)

      Overrides:
        `floatVal` in class `FunctionValues`

    - #### doubleVal

          public double doubleVal(int doc)

      Overrides:
        `doubleVal` in class `FunctionValues`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.